UI::Util::Sys::Exception Class Reference

Use this exception class if you want to catch failures on system/library calls. More...

`#include <Sys.hpp>`

Inheritance diagram for UI::Util::Sys::Exception:
Collaboration diagram for UI::Util::Sys::Exception:

## Public Member Functions

| Exception (std::string const &what=NoWhatGiven_, std::string const &debug=NoDebugGiven_, int const &errNo=0)
Public Member Functions inherited from UI::Util::Exception
| Exception (std::string const &what=NoWhatGiven_, std::string const &debug=NoDebugGiven_, int const &errNo=0)
Public Member Functions inherited from UI::Exception
| Exception (std::string const &what=NoWhatGiven_, std::string const &debug=NoDebugGiven_, int const &errNo=0)
| Construct with description text.
char const * | what () const throw ()
int const & | getErrno () const
std::string | getDebug () const

## Additional Inherited Members

Static Public Attributes inherited from UI::Exception
static std::string const | Errno_
| If this string is used in a "what" description message, it will be replaced by an errno error string.
Static Protected Attributes inherited from UI::Exception
static std::string const | NoWhatGiven_
static std::string const | NoDebugGiven_

## Detailed Description

Use this exception class if you want to catch failures on system/library calls.

## Constructor & Destructor Documentation

## ~Exception()

virtual UI::Util::Sys::Exception::~Exception | ( |  | ) |
throw | ( | ) |  |  |

inline virtual

Reimplemented from UI::Util::Exception.

The documentation for this class was generated from the following file:

- Sys.hpp